/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: GetAttributesOfMBeanEvent.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.event {
	import com.adobe.cairngorm.control.CairngormEvent;
import org.ow2.easybeans.console.jmxbrowser.model.JMXBrowerModelLocator;	

     

/**
 * Event used in order to fetch MBean attributes.
 * @author Florent Benoit
 */
public class GetAttributesOfMBeanEvent extends CairngormEvent {

    /**
     * Name of the Event.
     */
    public static const EVENT_GET_ATTRIBUTES_OF_MBEAN : String = "getAttributeOfMBean" + JMXBrowerModelLocator.getInstance().componentID;

    /**
     * MBean name
     */
    private var name : String;

    /**
     * Default constructor.
     */
    public function GetAttributesOfMBeanEvent(name : String) {
        super(EVENT_GET_ATTRIBUTES_OF_MBEAN);
        this.name = name;
    }

    /**
     * Gets the name of the MBean on which fetch attributes.
     */
    public function get mBeanName() : String {
        return name;
    }

}
}
