/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: UpdateAttributeOfMBeanEvent.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.event {

import com.adobe.cairngorm.control.CairngormEvent;
import org.ow2.easybeans.console.jmxbrowser.model.JMXBrowerModelLocator;

/**
 * Event used when setting value on a given attribute.
 * @author Florent Benoit
 */
public class UpdateAttributeOfMBeanEvent extends CairngormEvent {

    /**
     * Name of the Event.
     */
    public static const EVENT_UPDATE_ATTRIBUTE_MBEAN : String = "updateAttributeMBean" + JMXBrowerModelLocator.getInstance().componentID;

    /**
     * MBean name
     */
    private var name : String;

    /**
     * Attribute name
     */
    private var attrName : String;

    /**
     * Attribute value.
     */
    private var val : Object;


    /**
     * Default constructor.
     */
    public function UpdateAttributeOfMBeanEvent(name : String, attrName : String, val : Object) {
        super(EVENT_UPDATE_ATTRIBUTE_MBEAN);
        this.name = name;
        this.attrName = attrName;
        this.val = val;
    }

    /**
     * Gets the name of the MBean on which set attribute.
     */
    public function get mBeanName() : String {
        return name;
    }

    /**
     * Gets the name of the MBean on which set attribute.
     */
    public function get attributeName() : String {
        return attrName;
    }

    /**
     * Gets the name of the MBean on which set attribute.
     */
    public function get value() : Object {
        return val;
    }

}
}
