/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: SelectableTreeItemRenderer.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.view {

import mx.controls.treeClasses.TreeItemRenderer;
import mx.controls.treeClasses.TreeListData;

/**
 * This renderer is used to be able to select the text displayed.
 * @author Florent Benoit
 */
public class SelectableTreeItemRenderer extends TreeItemRenderer {

    /**
     * Use super constructor.
     */
    public function SelectableTreeItemRenderer() {
        super();
    }

    /**
     * Update the display by enabling selected mode on the text.
     */
    override protected function updateDisplayList(unscaledWidth : Number, unscaledHeight : Number) : void {
        super.updateDisplayList(unscaledWidth, unscaledHeight);

        // Apply select mode only if it's a child
        var treeData : TreeListData = listData as TreeListData;

        // No data, do nothing
        if (treeData == null) {
            return;
        }

        // No Children ? change selectable
        if (!treeData.hasChildren) {
            label.selectable = true;
        }
    }

}
}
