/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: JMXAttributeVO.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.vo {

    import com.adobe.cairngorm.vo.IValueObject;

    [RemoteClass(alias="org.ow2.easybeans.console.jmxbrowser.service.JMXAttributes")]
    [Bindable]
    public class JMXAttributeVO implements IValueObject
    {

        private var attributeName : String;

        private var attributeDesc : String;

        private var attributeType : String;

        private var attributeValue : String;

        private var  attributeIsReadable : Boolean;

        private var attributeIsWritable : Boolean;

        public function JMXAttributeVO()
            {
            super();
        }

        /**
         *  Getter for
         * @return the
         */
        public function get name() : String {
            return attributeName;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set name(attributeName : String) : void {
            this.attributeName = attributeName;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get type() : String {
            return attributeType;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set type(attributeType : String) : void {
            this.attributeType = attributeType;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get desc() : String {
            return attributeDesc;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set desc(attributeDesc : String) : void {
            this.attributeDesc = attributeDesc;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get value() : String {
            return attributeValue;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set value(attributeValue : String) : void {
            this.attributeValue = attributeValue;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get isReadable() : Boolean {
            return attributeIsReadable;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set readable(attributeIsReadable : Boolean) : void {
            this.attributeIsReadable = attributeIsReadable;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get isWritable() : Boolean {
            return attributeIsWritable;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set writable(attributeIsWritable : Boolean) : void {
            this.attributeIsWritable = attributeIsWritable;
        }
    }
}
