/**
 * EasyBeans
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: easybeans@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 *
 * --------------------------------------------------------------------------
 * $Id: JMXOperationVO.as 5199 2009-09-29 13:44:05Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.console.jmxbrowser.vo {

    import com.adobe.cairngorm.vo.IValueObject;

    import mx.collections.ArrayCollection;
    import mx.controls.Alert;

    [RemoteClass(alias="org.ow2.easybeans.console.jmxbrowser.service.JMXOperation")]
    [Bindable]
    public class JMXOperationVO implements IValueObject
    {

        private var operationName : String;

        private var operationDesc : String;

        private var operationReturnType : String;


        [ArrayElementType(JMXParameterOperationVO)]
        private var operationParameters : ArrayCollection;


        public function JMXOperationVO()
            {
            super();
        }

        /**
         *  Getter for
         * @return the
         */
        public function get name() : String {
            return operationName;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set name(operationName : String) : void {
            this.operationName = operationName;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get returnType() : String {
            return operationReturnType;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set returnType(operationReturnType : String) : void {
            this.operationReturnType = operationReturnType;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get desc() : String {
            return operationDesc;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set desc(operationDesc : String) : void {
            this.operationDesc = operationDesc;
        }

        /**
         *  Getter for
         * @return the
         */
        public function get parameters() : ArrayCollection {
            return operationParameters;
        }

        /**
         * Setter for the .
         * @param
         */
        public function set parameters(operationParameters : ArrayCollection) : void {
            this.operationParameters = operationParameters;
        }


    }
}
